//po4a: entry man manual
= switch_root(8)
:doctype: manpage
:man manual: System Administration
:man source: util-linux {release-version}
:page-layout: base
:command: switch_root

== NAME

switch_root - switch to another filesystem as the root of the mount tree

== SYNOPSIS

*switch_root* [*-hV*]

*switch_root* _newroot init_ [_arg_...]

== DESCRIPTION

*switch_root* moves already mounted _/proc_, _/dev_, _/sys_ and _/run_ to _newroot_ and makes _newroot_ the new root filesystem and starts _init_ process.

*WARNING: switch_root removes recursively all files and directories on the current root filesystem.*

== OPTIONS

include::man-common/help-version.adoc[]

== EXIT STATUS

*switch_root* returns 1 on failure, it never returns on success.

== NOTES

*switch_root* will fail to function if _newroot_ is not the root of a mount. If you want to switch root into a directory that does not meet this requirement then you can first use a bind-mounting trick to turn any directory into a mount point:

....
mount --bind $DIR $DIR
....

== AUTHORS

mailto:pjones@redhat.com[Peter Jones],
mailto:katzj@redhat.com[Jeremy Katz],
mailto:kzak@redhat.com[Karel Zak]

== SEE ALSO

*chroot*(2),
*init*(8),
*mkinitrd*(8),
*mount*(8)

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
